Rapid7 Vulnerability & Exploit Database

RHSA-2012:0387: firefox security and bug fix update

Back to Search

RHSA-2012:0387: firefox security and bug fix update

Severity
9
CVSS
(AV:N/AC:M/Au:N/C:C/I:C/A:C)
Published
03/14/2012
Created
07/25/2018
Added
03/23/2012
Modified
07/04/2017

Description

Mozilla Firefox is an open source web browser.Several flaws were found in the processing of malformed web content. A webpage containing malicious content could cause Firefox to crash or,potentially, execute arbitrary code with the privileges of the userrunning Firefox. (CVE-2012-0461, CVE-2012-0462, CVE-2012-0464)Two flaws were found in the way Firefox parsed certain Scalable VectorGraphics (SVG) image files. A web page containing a malicious SVG imagefile could cause an information leak, or cause Firefox to crash or,potentially, execute arbitrary code with the privileges of the user runningFirefox. (CVE-2012-0456, CVE-2012-0457)A flaw could allow a malicious site to bypass intended restrictions,possibly leading to a cross-site scripting (XSS) attack if a user weretricked into dropping a "javascript:" link onto a frame. (CVE-2012-0455)It was found that the home page could be set to a "javascript:" link. If auser were tricked into setting such a home page by dragging a link to thehome button, it could cause Firefox to repeatedly crash, eventuallyleading to arbitrary code execution with the privileges of the userrunning Firefox. (CVE-2012-0458)A flaw was found in the way Firefox parsed certain web content containing"cssText". A web page containing malicious content could cause Firefox tocrash or, potentially, execute arbitrary code with the privileges of theuser running Firefox. (CVE-2012-0459)It was found that by using the DOM fullscreen API, untrusted content couldbypass the mozRequestFullscreen security protections. A web page containingmalicious web content could exploit this API flaw to cause user interfacespoofing. (CVE-2012-0460)A flaw was found in the way Firefox handled pages with multiple ContentSecurity Policy (CSP) headers. This could lead to a cross-site scriptingattack if used in conjunction with a website that has a header injectionflaw. (CVE-2012-0451)For technical details regarding these flaws, refer to the Mozilla securityadvisories for Firefox 10.0.3 ESR. You can find a link to the Mozillaadvisories in the References section of this erratum.This update also fixes the following bugs:All Firefox users should upgrade to these updated packages, which containFirefox version 10.0.3 ESR, which corrects these issues. After installingthe update, Firefox must be restarted for the changes to take effect.

Solution(s)

  • redhat-upgrade-firefox
  • redhat-upgrade-firefox-debuginfo
  • redhat-upgrade-xulrunner
  • redhat-upgrade-xulrunner-debuginfo
  • redhat-upgrade-xulrunner-devel

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;